La personne invitée est déjà membre

Moses SkodaIngénieur1 min de lecture

L’API renvoie 409 Conflict avec ce problème. Son type est https://lingo.dev/docs/api/errors/invitee-already-member. Consultez Erreurs et codes de statut pour connaître la structure commune à toutes les erreurs.

Impossible d’inviter ada@example.com. Cette adresse appartient déjà à un membre de l’organisation <organizationId>, et une invitation ne modifierait pas son rôle. Modifiez plutôt son rôle depuis la liste des membres de l’organisation.

Champs#

En plus des propriétés standard type, status, title et detail, le corps contient les champs suivants. Le texte de detail est généré à partir de ces champs : un client peut donc afficher son propre texte à la place.

ChampType
organizationIdstring
emailstring

Exemple#

json
{
  "detail": "Cannot invite ada@example.com. That address already belongs to a member of organization <organizationId>, and an invitation would not change their role. Change their role through the organization members instead.",
  "organizationId": "<organizationId>",
  "email": "ada@example.com",
  "type": "https://lingo.dev/docs/api/errors/invitee-already-member",
  "status": 409,
  "title": "Invitee already a member"
}

Renvoyée par#

  • POST /v2/organizations/{orgId}/invites